geronimo-scm mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From mcco...@apache.org
Subject svn commit: r637097 - in /geronimo/devtools/eclipse-plugin/trunk/plugins: org.apache.geronimo.st.core/ org.apache.geronimo.st.ui/ org.apache.geronimo.st.v20.core/ org.apache.geronimo.st.v21.core/ org.apache.geronimo.st.v21.ui/
Date Fri, 14 Mar 2008 13:41:54 GMT
Author: mcconne
Date: Fri Mar 14 06:41:54 2008
New Revision: 637097

URL: http://svn.apache.org/viewvc?rev=637097&view=rev
Log:
GERONIMODEVTOOLS-305 Enable the 1.2 version of the Geronimo deployment facet

Modified:
    geronimo/devtools/eclipse-plugin/trunk/plugins/org.apache.geronimo.st.core/plugin.xml
    geronimo/devtools/eclipse-plugin/trunk/plugins/org.apache.geronimo.st.ui/plugin.xml
    geronimo/devtools/eclipse-plugin/trunk/plugins/org.apache.geronimo.st.v20.core/plugin.xml
    geronimo/devtools/eclipse-plugin/trunk/plugins/org.apache.geronimo.st.v21.core/plugin.xml
    geronimo/devtools/eclipse-plugin/trunk/plugins/org.apache.geronimo.st.v21.ui/plugin.xml

Modified: geronimo/devtools/eclipse-plugin/trunk/plugins/org.apache.geronimo.st.core/plugin.xml
URL: http://svn.apache.org/viewvc/geronimo/devtools/eclipse-plugin/trunk/plugins/org.apache.geronimo.st.core/plugin.xml?rev=637097&r1=637096&r2=637097&view=diff
==============================================================================
--- geronimo/devtools/eclipse-plugin/trunk/plugins/org.apache.geronimo.st.core/plugin.xml
(original)
+++ geronimo/devtools/eclipse-plugin/trunk/plugins/org.apache.geronimo.st.core/plugin.xml
Fri Mar 14 06:41:54 2008
@@ -46,15 +46,14 @@
  	</extension>
 
 
-    <!-- =======================================================================================
-->
-    <!--                                                                             
           -->
-    <!-- Define the runtime component version(s) and the facets supported by each Geronimo
      -->
-    <!-- runtime component                                                           
           -->
-    <!--                                                                             
           -->
-    <!-- =======================================================================================
-->
+    <!-- 
+     |                                                                                  
        
+     | Define the runtime component version(s) and the facets supported by each 
+     | Geronimo runtime component                                                       
               
+     |                                                                                  
        
+     --> 
 	<extension point="org.eclipse.wst.common.project.facet.core.runtimes">
         <runtime-component-type id="org.apache.geronimo.runtime"/>
-        <runtime-component-version type="org.apache.geronimo.runtime" version="1.0"/>
         <runtime-component-version type="org.apache.geronimo.runtime" version="1.1"/>
         <runtime-component-version type="org.apache.geronimo.runtime" version="2.0"/>
         <runtime-component-version type="org.apache.geronimo.runtime" version="2.1"/>
@@ -65,44 +64,38 @@
             <type
                 class="org.eclipse.jst.common.project.facet.core.IClasspathProvider"/>
         </adapter>
-        <supported>
-            <runtime-component id="org.apache.geronimo.runtime" version="1.0"/>
-            <facet id="org.apache.geronimo.facet" version="1.0"/>
-            <facet id="jst.web" version="2.2,2.3,2.4"/>
-            <facet id="jst.ejb" version="1.1,2.0,2.1"/>
-            <facet id="jst.ear" version="1.2,1.3,1.4"/>
-            <facet id="jst.connector" version="1.0,1.5"/>
-            <facet id="jst.appclient" version="1.2,1.3,1.4"/>
-        </supported>
+
         <supported>
             <runtime-component id="org.apache.geronimo.runtime" version="1.1"/>
             <facet id="org.apache.geronimo.facet" version="1.1"/>
-            <facet id="jst.web" version="2.2,2.3,2.4"/>
-            <facet id="jst.ejb" version="1.1,2.0,2.1"/>
-            <facet id="jst.ear" version="1.2,1.3,1.4"/>
-            <facet id="jst.connector" version="1.0,1.5"/>
-            <facet id="jst.appclient" version="1.2,1.3,1.4"/>
-            <facet id="jst.utility" version="1.0"/>
+            <facet id="jst.web"         version="2.2,2.3,2.4"/>
+            <facet id="jst.ejb"         version="1.1,2.0,2.1"/>
+            <facet id="jst.ear"         version="1.2,1.3,1.4"/>
+            <facet id="jst.connector"   version="1.0,1.5"/>
+            <facet id="jst.appclient"   version="1.2,1.3,1.4"/>
+            <facet id="jst.utility"     version="1.0"/>
         </supported>
+
         <supported>
             <runtime-component id="org.apache.geronimo.runtime" version="2.0"/>
-            <facet id="org.apache.geronimo.facet" version="1.1"/>
-            <facet id="jst.web" version="2.2,2.3,2.4,2.5"/>
-            <facet id="jst.ejb" version="1.1,2.0,2.1,3.0"/>
-            <facet id="jst.ear" version="1.2,1.3,1.4,5.0"/>
-            <facet id="jst.connector" version="1.0,1.5"/>
-            <facet id="jst.appclient" version="1.2,1.3,1.4,5.0"/>
-            <facet id="jst.utility" version="1.0"/>
+            <facet id="org.apache.geronimo.facet" version="1.2"/>
+            <facet id="jst.web"         version="2.2,2.3,2.4,2.5"/>
+            <facet id="jst.ejb"         version="1.1,2.0,2.1,3.0"/>
+            <facet id="jst.ear"         version="1.2,1.3,1.4,5.0"/>
+            <facet id="jst.connector"   version="1.0,1.5"/>
+            <facet id="jst.appclient"   version="1.2,1.3,1.4,5.0"/>
+            <facet id="jst.utility"     version="1.0"/>
         </supported>
+
         <supported>
             <runtime-component id="org.apache.geronimo.runtime" version="2.1"/>
-            <facet id="org.apache.geronimo.facet" version="1.1"/>
-            <facet id="jst.web" version="2.2,2.3,2.4,2.5"/>
-            <facet id="jst.ejb" version="1.1,2.0,2.1,3.0"/>
-            <facet id="jst.ear" version="1.2,1.3,1.4,5.0"/>
-            <facet id="jst.connector" version="1.0,1.5"/>
-            <facet id="jst.appclient" version="1.2,1.3,1.4,5.0"/>
-            <facet id="jst.utility" version="1.0"/>
+            <facet id="org.apache.geronimo.facet" version="1.2"/>
+            <facet id="jst.web"         version="2.2,2.3,2.4,2.5"/>
+            <facet id="jst.ejb"         version="1.1,2.0,2.1,3.0"/>
+            <facet id="jst.ear"         version="1.2,1.3,1.4,5.0"/>
+            <facet id="jst.connector"   version="1.0,1.5"/>
+            <facet id="jst.appclient"   version="1.2,1.3,1.4,5.0"/>
+            <facet id="jst.utility"     version="1.0"/>
         </supported>
     </extension>
     

Modified: geronimo/devtools/eclipse-plugin/trunk/plugins/org.apache.geronimo.st.ui/plugin.xml
URL: http://svn.apache.org/viewvc/geronimo/devtools/eclipse-plugin/trunk/plugins/org.apache.geronimo.st.ui/plugin.xml?rev=637097&r1=637096&r2=637097&view=diff
==============================================================================
--- geronimo/devtools/eclipse-plugin/trunk/plugins/org.apache.geronimo.st.ui/plugin.xml (original)
+++ geronimo/devtools/eclipse-plugin/trunk/plugins/org.apache.geronimo.st.ui/plugin.xml Fri
Mar 14 06:41:54 2008
@@ -38,48 +38,44 @@
     </extension>
     
 
-    <!-- =======================================================================================
-->
-    <!--                                                                             
           -->
-    <!-- Define the icon for the Geronimo runtime and server types                   
           -->
-    <!-- (defined in plugins\org.apache.geronimo.st.v*.core\plugin.xml)              
           --> 
-    <!--                                                                             
           -->
-    <!-- =======================================================================================
-->
+    <!-- 
+     |
+     | Define the icon for the Geronimo runtime and server types                        
      
+     | (defined in plugins\org.apache.geronimo.st.v*.core\plugin.xml)                   
      
+     |   
+     -->
     <extension point="org.eclipse.wst.server.ui.serverImages">
 
     	<image id="org.apache.geronimo.runtime.image" 
     		icon="icons/obj16/littleG.gif"
-            typeIds="org.apache.geronimo.runtime.10,
-            		 org.apache.geronimo.runtime.11,
+            typeIds="org.apache.geronimo.runtime.11,
             		 org.apache.geronimo.runtime.20,
             		 org.apache.geronimo.runtime.21"/>
 
         <image id="org.apache.geronimo.server.image" 
         	icon="icons/obj16/littleG.gif"
-            typeIds="org.apache.geronimo.server.10,
-            		 org.apache.geronimo.server.11,
+            typeIds="org.apache.geronimo.server.11,
             		 org.apache.geronimo.server.20,
             		 org.apache.geronimo.server.21"/>
     </extension>
 
 
-    <!-- =======================================================================================
-->
-    <!--                                                                             
           -->
-    <!-- Extend WTP wizardFragments to include the Geronimo runtime and server types 
           -->
-    <!-- (defined in plugins\org.apache.geronimo.st.v*.core\plugin.xml) when defining
either a   --> 
-    <!-- new Geronimo runtime (e.g., via Window->Preferences->Server->Installed
Runtimes->Add)   --> 
-    <!-- or a new Geronimo server (e.g., via File->New->Other->Server)      
                    -->
-    <!--                                                                             
           -->
-    <!-- =======================================================================================
-->
+    <!-- 
+     |
+     | Extend WTP wizardFragments to include the Geronimo runtime and server types      
         
+     | (defined in plugins\org.apache.geronimo.st.v*.core\plugin.xml) when defining either
a       
+     | new Geronimo runtime (e.g., via Window->Preferences->Server->Installed Runtimes->Add)
      
+     | or a new Geronimo server (e.g., via File->New->Other->Server)           
                  
+     |   
+     -->
     <extension point="org.eclipse.wst.server.ui.wizardFragments">
         <fragment id="org.apache.geronimo.runtime.wizardFragment"
-            typeIds="org.apache.geronimo.runtime.10,
-            		 org.apache.geronimo.runtime.11,
+            typeIds="org.apache.geronimo.runtime.11,
             		 org.apache.geronimo.runtime.20,
                      org.apache.geronimo.runtime.21"
             class="org.apache.geronimo.st.ui.internal.GeronimoRuntimeWizardFragment"/>
         <fragment id="org.apache.geronimo.server.wizardFragment"
-            typeIds="org.apache.geronimo.server.10,
-            		 org.apache.geronimo.server.11,
+            typeIds="org.apache.geronimo.server.11,
             		 org.apache.geronimo.server.20,
                      org.apache.geronimo.server.21"
             class="org.apache.geronimo.st.ui.internal.GeronimoServerWizardFragment"/>

Modified: geronimo/devtools/eclipse-plugin/trunk/plugins/org.apache.geronimo.st.v20.core/plugin.xml
URL: http://svn.apache.org/viewvc/geronimo/devtools/eclipse-plugin/trunk/plugins/org.apache.geronimo.st.v20.core/plugin.xml?rev=637097&r1=637096&r2=637097&view=diff
==============================================================================
--- geronimo/devtools/eclipse-plugin/trunk/plugins/org.apache.geronimo.st.v20.core/plugin.xml
(original)
+++ geronimo/devtools/eclipse-plugin/trunk/plugins/org.apache.geronimo.st.v20.core/plugin.xml
Fri Mar 14 06:41:54 2008
@@ -111,19 +111,18 @@
     -->
     
     
-    <!-- =======================================================================================
-->
-    <!--                                                                             
           -->
-    <!-- Map the <runtime-component> (defined in org.apache.geronimo.st.core\plugin.xml)
to a    -->
-    <!-- specific version of the "Geronimo Deployment" <project-facet>. Note that
the 1.1        -->
-    <!-- version is the only supported <project-facet-version> for the 2.0 Geronimo
server.      -->
-    <!--                                                                             
           -->
-    <!-- =======================================================================================
-->
+    <!-- 
+     |
+     | Map the <runtime-component> (defined in org.apache.geronimo.st.core\plugin.xml)

+     | to a specific version of the "Geronimo Deployment" <project-facet>
+     |
+     -->
     <extension point="org.eclipse.wst.common.project.facet.core.defaultFacets" 
     	id="org.apache.geronimo.defaultFacets"
         name="Geronimo Default Facets">
         <default-facets>
             <runtime-component id="org.apache.geronimo.runtime" version="2.0"/>
-            <facet id="org.apache.geronimo.facet" version="1.1"/>
+            <facet id="org.apache.geronimo.facet" version="1.2"/>
         </default-facets>
     </extension>
   

Modified: geronimo/devtools/eclipse-plugin/trunk/plugins/org.apache.geronimo.st.v21.core/plugin.xml
URL: http://svn.apache.org/viewvc/geronimo/devtools/eclipse-plugin/trunk/plugins/org.apache.geronimo.st.v21.core/plugin.xml?rev=637097&r1=637096&r2=637097&view=diff
==============================================================================
--- geronimo/devtools/eclipse-plugin/trunk/plugins/org.apache.geronimo.st.v21.core/plugin.xml
(original)
+++ geronimo/devtools/eclipse-plugin/trunk/plugins/org.apache.geronimo.st.v21.core/plugin.xml
Fri Mar 14 06:41:54 2008
@@ -103,15 +103,14 @@
     </extension>
     
 
-    <!-- =======================================================================================
-->
-    <!--                                                                             
           -->
-    <!-- Declare the 2.1 version of the "Geronimo Deployment" <project-facet> and
the <action>   -->
-    <!-- that the user can perform on the facet (i.e., install)                      
           -->
-    <!--                                                                             
           -->
-    <!-- =======================================================================================
-->
     <!-- 
+     | 
+     | Declare the 1.2 version of the "Geronimo Deployment" <project-facet> and the
<action>    
+     | that the user can perform on the facet (i.e., install)                           
      
+     | 
+     -->
     <extension point="org.eclipse.wst.common.project.facet.core.facets">
-        <project-facet-version facet="org.apache.geronimo.facet" version="2.1">
+        <project-facet-version facet="org.apache.geronimo.facet" version="1.2">
             <action type="install" id="geronimo.plan.install">
                 <delegate class="org.apache.geronimo.st.v21.core.operations.GeronimoV21FacetInstallDelegate"/>
                 <config-factory class="org.apache.geronimo.st.v21.core.DeploymentPlanInstallConfig$Factory"/>
@@ -141,22 +140,20 @@
             </constraint>
         </project-facet-version>
     </extension>
-    -->
     
 
-    <!-- =======================================================================================
-->
-    <!--                                                                             
           -->
-    <!-- Map the <runtime-component> (defined in org.apache.geronimo.st.core\plugin.xml)
to a    -->
-    <!-- specific version of the "Geronimo Deployment" <project-facet>. Note that
the 1.1        -->
-    <!-- version is the only supported <project-facet-version> for the 2.1 Geronimo
server.      -->
-    <!--                                                                             
           -->
-    <!-- =======================================================================================
-->
+    <!-- 
+     |
+     | Map the <runtime-component> (defined in org.apache.geronimo.st.core\plugin.xml)

+     | to a specific version of the "Geronimo Deployment" <project-facet>
+     |
+     -->
     <extension point="org.eclipse.wst.common.project.facet.core.defaultFacets"
         id="org.apache.geronimo.defaultFacets"
         name="Geronimo Default Facets">
         <default-facets>
             <runtime-component id="org.apache.geronimo.runtime" version="2.1"/>
-            <facet id="org.apache.geronimo.facet" version="1.1"/>
+            <facet id="org.apache.geronimo.facet" version="1.2"/>
         </default-facets>
     </extension>
 

Modified: geronimo/devtools/eclipse-plugin/trunk/plugins/org.apache.geronimo.st.v21.ui/plugin.xml
URL: http://svn.apache.org/viewvc/geronimo/devtools/eclipse-plugin/trunk/plugins/org.apache.geronimo.st.v21.ui/plugin.xml?rev=637097&r1=637096&r2=637097&view=diff
==============================================================================
--- geronimo/devtools/eclipse-plugin/trunk/plugins/org.apache.geronimo.st.v21.ui/plugin.xml
(original)
+++ geronimo/devtools/eclipse-plugin/trunk/plugins/org.apache.geronimo.st.v21.ui/plugin.xml
Fri Mar 14 06:41:54 2008
@@ -37,16 +37,15 @@
     </extension>
 
 
-    <!-- =======================================================================================
-->
-    <!--                                                                             
           -->
-    <!-- Map the <runtime-component> (defined in org.apache.geronimo.st.core\plugin.xml)
to a    -->
-    <!-- specific version of the "Geronimo Deployment" <project-facet>. Note that
the 1.1        -->
-    <!-- version is the only supported <project-facet-version> for the 2.1 Geronimo
server.      -->
-    <!--                                                                             
           -->
-    <!-- =======================================================================================
-->
+    <!-- 
+     |
+     | Map the <runtime-component> (defined in org.apache.geronimo.st.core\plugin.xml)

+     | to a specific version of the "2eronimo Deployment" <project-facet>
+     |
+     -->
     <extension point="org.eclipse.wst.common.project.facet.ui.wizardPages">
   		<wizard-pages action="geronimo.plan.install">
-    		<page class="org.apache.geronimo.st.v11.ui.wizards.FacetInstallPage"/>
+    		<page class="org.apache.geronimo.st.v21.ui.wizards.FacetInstallPage"/>
   		</wizard-pages>
 	</extension>  
 



Mime
View raw message